Bug 879715 - 3.1.z - [vdsm] [RHEL 6.4 lvm2] create block storage domain with latest lvm2 version fails: TypeError: __new__() takes exactly 9 arguments (10 given) (lvm2-2.02.98-2.el6.x86_64)
3.1.z - [vdsm] [RHEL 6.4 lvm2] create block storage domain with latest lvm2 v...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
high Severity urgent
: rc
: 6.3
Assigned To: Yeela Kaplan
vvyazmin@redhat.com
storage
: Regression, TestBlocker, ZStream
Depends On: 876958
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 16:22 EST by Chris Pelland
Modified: 2016-02-02 17:39 EST (History)
14 users (show)

See Also:
Fixed In Version: v4.9.6-44.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 01:39:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Pelland 2012-11-23 16:22:47 EST
This bug has been copied from bug #876958 and has been proposed
to be backported to 6.3 z-stream (EUS).
Comment 6 vvyazmin@redhat.com 2013-01-03 08:42:18 EST
Verified on RHEVM 3.1 - SI25.3 environment:
RHEVM: rhevm-3.1.0-39.el6ev.noarch
VDSM: vdsm-4.9.6-44.3.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6_3.7.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6_3.10.x86_64
SANLOCK: sanlock-2.3-4.el6_3.x86_64


/var/log/ovirt-engine/engine.log
2013-01-03 18:32:31,757 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateVGVDSCommand] (ajp-/127.0.0.1:8702-3) [72131fd] START, CreateVGVDSCommand(HostName = nott-vds1, Ho
stId = db8275ea-55ad-11e2-aa81-001a4a169780, storageDomainId=d5b377d2-5e50-434d-a86f-f093a4071c70, deviceList=[3514f0c519e40006f], force=false), log id: 388c32a0
2013-01-03 18:32:32,917 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateVGVDSCommand] (ajp-/127.0.0.1:8702-3) [72131fd] FINISH, CreateVGVDSCommand, return: 3iH0EP-4Jcz-BF
Sp-pyKg-MsHO-QBho-M67wqX, log id: 388c32a0
2013-01-03 18:32:32,919 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateStorageDomainVDSCommand] (ajp-/127.0.0.1:8702-3) [72131fd] START, CreateStorageDomainVDSCommand(Ho
stName = nott-vds1, HostId = db8275ea-55ad-11e2-aa81-001a4a169780, storageDomain=org.ovirt.engine.core.common.businessentities.storage_domain_static@67c11f74, args=3iH0EP-4Jcz-B
FSp-pyKg-MsHO-QBho-M67wqX), log id: 3bf2f4e
2013-01-03 18:32:38,744 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateStorageDomainVDSCommand] (ajp-/127.0.0.1:8702-3) [72131fd] FINISH, CreateStorageDomainVDSCommand, 
log id: 3bf2f4e


/var/log/vdsm/vdsm.log
Thread-3945::INFO::2013-01-03 16:32:32,326::logUtils::37::dispatcher::(wrapper) Run and protect: createStorageDomain(storageType=3, sdUUID='d5b377d2-5e50-434d-a86f-f093a4071c70', domainName='SD-iSCSI-02', typeSpecificArg='3iH0EP-4Jcz-BFSp-pyKg-MsHO-QBho-M67wqX', domClass=1, domVersion='3', options=None)
Thread-3945::INFO::2013-01-03 16:32:32,330::blockSD::455::Storage.StorageDomain::(create) sdUUID=d5b377d2-5e50-434d-a86f-f093a4071c70 domainName=SD-iSCSI-02 domClass=1 vgUUID=3iH0EP-4Jcz-BFSp-pyKg-MsHO-QBho-M67wqX storageType=3 version=3

Note You need to log in before you can comment on or make changes to this bug.